com.mockobjects.mail.internet

## Class MockMimeMessageFactory

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.mail.internet.MockMimeMessageFactory

- All Implemented Interfaces:
    MimeMessageFactory, Verifiable

      public class MockMimeMessageFactory
      extends MockObject
      implements MimeMessageFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockMimeMessageFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MimeMessage` | `createMimeMessage(Session aSession)`
    `void` | `setExpectedSession(Session aSession)`
    `void` | `setupCreateMimeMessage(MimeMessage aMimeMessage)`

    - ### Methods inherited from class com.mockobjects.MockObject

      `notImplemented, notYetImplemented, verify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockMimeMessageFactory

          public MockMimeMessageFactory()

  - ### Method Detail

    - #### setExpectedSession

          public void setExpectedSession(Session aSession)

    - #### setupCreateMimeMessage

          public void setupCreateMimeMessage(MimeMessage aMimeMessage)

    - #### createMimeMessage

          public MimeMessage createMimeMessage(Session aSession)

      Specified by:
        `createMimeMessage` in interface `MimeMessageFactory`

Copyright © 2002 Mock Objects. All Rights Reserved.